YPSERV(8)

NAME
ypserv - YP server daemon

SYNOPSIS
ypserv [-1dx] [-a aclfile]

DESCRIPTION
ypserv is a fundamental part of the network information system called YP. This server provides information from YP maps to the YP clients on the network.

A YP map is stored on the server as a db(3) database. A number of YP maps are grouped together in a domain. ypserv determines the domains it serves by looking for a directory with the domain name in /var/yp.

YP hasn't been known for high security through the years. In recent years security has improved by restricting access to the server. In SunOS 4.1 has a new file occurred named /var/yp/securenet. It contains networks the server can assume is secure. For information about the file format, see securenet(5).

Before the author of this server had seen securenet(5) another format, ypserv.acl(5), was implemented. This file format makes it possible to allow and deny hosts and networks access to the server. This file can have any name since it's given by the argument to -a (use full path).

If a host isn't secure all queries to the server will result in a YP_NODOM result.

If the file /var/yp/ypserv.log exists then messages will be written to the file.

If a directory named the same as the system domainname exists in /var/yp (i.e., the domainname is “foo” and the directory /var/yp/foo exists), then ypserv will be automatically started at boot time.

On receipt of a hangup signal, SIGHUP, ypserv will reopen the log file and reread its configuration, including both the db(3) map files and the ypserv.acl(5) or securenet(5) configuration file. The process ID can be found in the file /var/run/ypserv.pid.

The options are as follows:

-1  Allow ypserv to answer old YP version 1 requests.

-a aclfile
    Don't use /var/yp/securenet. Use another file with a different file format. For further information see ypserv.acl(5).

-d  Use Internet Domain Name System. If a query to map “hosts.byname” or “hosts.byaddr” fails, make a DNS query and return the result if successful. Alternately, if these maps were built on the YP master using makedbm -b then DNS queries will be done without needing to specify -d.

-x  Terminate the server after processing aclfile or /var/yp/securenet.

FILES
/var/yp/ypserv.log
/var/yp/securenet
/var/run/ypserv.pid

SEE ALSO
securenet(5), ypserv.acl(5), Makefile.yp(8), yp(8), ypbind(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>